Mail archive
alpine-aports

[alpine-aports] [PATCH] community/php7: critical fix in -dev

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 21 Mar 2017 23:33:30 +0200

move phpize back from -pear to -dev.
add unsuffixed symlinks for phpize, php-config
---
 community/php7/APKBUILD | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)
diff --git a/community/php7/APKBUILD b/community/php7/APKBUILD
index fed7169629..376bc735f5 100644
--- a/community/php7/APKBUILD
+++ b/community/php7/APKBUILD
_at_@ -3,7 +3,7 @@
 pkgname=php7
 _pkgreal=php
 pkgver=7.0.17
-pkgrel=0
+pkgrel=1
 pkgdesc="The PHP language runtime engine - 7th branch"
 url="http://www.php.net/"
 arch="all"
_at_@ -192,15 +192,20 @@ package() {
 
 dev() {
 	default_dev
+	replaces="php-dev"
 	depends="$depends $pkgname $pkgname-pear"
 
 	mkdir -p "$subpkgdir"/usr/bin \
-		"$subpkgdir"/usr/lib/$pkgname
+		"$subpkgdir"/usr/lib/$pkgname || return 1
 
-	mv "$pkgdir"/usr/bin/php-config7 "$pkgdir"/usr/bin/peardev \
+	mv "$pkgdir"/usr/bin/php-config7 \
+		"$pkgdir"/usr/bin/phpize7 \
+		"$pkgdir"/usr/bin/peardev \
 		"$subpkgdir"/usr/bin/ || return 1
 	mv "$pkgdir"/usr/lib/$pkgname/build \
-		"$subpkgdir"/usr/lib/$pkgname/
+		"$subpkgdir"/usr/lib/$pkgname || return 1
+	ln -sf /usr/bin/phpize7 "$subpkgdir"/usr/bin/phpize
+	ln -sf /usr/bin/php-config7 "$subpkgdir"/usr/bin/php-config
 }
 
 doc() {
_at_@ -283,12 +288,12 @@ fpm() {
 
 pear() {
 	pkgdesc="PHP Extension and Application Repository"
-	depends="$pkgname $pkgname-xml"
+	depends="$pkgname $pkgname-xml"
 
 	mkdir -p "$subpkgdir"/usr/bin \
 		"$subpkgdir"/etc/$pkgname
 
-	local file; for file in phpize7 pecl pear; do
+	local file; for file in pecl pear; do
 		mv "$pkgdir"/usr/bin/$file "$subpkgdir"/usr/bin/
 	done
 	mv "$pkgdir"/etc/$pkgname/pear.conf "$subpkgdir"/etc/$pkgname/ || return 1
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 21 2017 - 23:33:30 GMT